curl --request POST \
--url https://api.example.com/api/projects/{projectId}/releases/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>"
}
'Deploy a release to a specific environment, optionally creating a change request if approvals are required.
curl --request POST \
--url https://api.example.com/api/projects/{projectId}/releases/deploy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"comment": "<string>"
}
'Documentation Index
Fetch the complete documentation index at: https://docs.gorules.io/llms.txt
Use this file to discover all available pages before exploring further.
Personal access token is obtained through your profile
Project unique identifier
Deployment initiated successfully
Was this page helpful?